org.infinispan.schematic.internal.delta

## Class RemoveAllValuesOperation.Externalizer

- java.lang.Object
- - org.infinispan.schematic.internal.SchematicExternalizer<RemoveAllValuesOperation>
  - - org.infinispan.schematic.internal.delta.RemoveAllValuesOperation.Externalizer

- All Implemented Interfaces:
    Serializable, Externalizer<RemoveAllValuesOperation>
  Enclosing class:
    RemoveAllValuesOperation

      public static final class RemoveAllValuesOperation.Externalizer
      extends SchematicExternalizer<RemoveAllValuesOperation>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveAllValuesOperation.Externalizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getId()`
    `Set<Class<? extends RemoveAllValuesOperation>>` | `getTypeClasses()`
    `RemoveAllValuesOperation` | `readObject(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, RemoveAllValuesOperation put)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveAllValuesOperation.Externalizer

          public RemoveAllValuesOperation.Externalizer()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                         RemoveAllValuesOperation put)
                           throws IOException

      Throws:
        `IOException`

    - #### readObject

          public RemoveAllValuesOperation readObject(ObjectInput input)
                                              throws IOException,
                                                     ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Integer getId()

      Specified by:
        `getId` in class `SchematicExternalizer<RemoveAllValuesOperation>`

    - #### getTypeClasses

          public Set<Class<? extends RemoveAllValuesOperation>> getTypeClasses()

      Specified by:
        `getTypeClasses` in class `SchematicExternalizer<RemoveAllValuesOperation>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.